import matplotlib.pyplot as plt
import numpy as np

rays =np.array([
-3.119869, 15.250000,
-3.092006, 15.500000,
-3.063112, 15.750000,
-3.033181, 16.250000,
-3.002212, 16.500000,
-2.970213, 16.750000,
-2.937200, 17.250000,
-2.903199, 17.500000,
-2.868248, 18.000000,
-2.832396, 18.500000,
-2.795702, 19.000000,
-2.758238, 19.250000,
-2.720088, 19.750000,
-2.681348, 20.250000,
-2.642122, 21.000000,
-2.602523, 21.500000,
-2.562672, 22.000000,
-2.522693, 22.750000,
-2.482714, 23.500000,
-2.442863, 24.250000,
-2.403264, 25.000000,
-2.364038, 25.750000,
-2.325297, 26.250000,
-2.287148, 25.000000,
-2.249684, 24.000000,
-2.212990, 23.000000,
-2.177137, 22.250000,
-2.142186, 21.500000,
-2.108186, 20.750000,
-2.075173, 20.000000,
-2.043173, 19.250000,
-2.012204, 18.750000,
-1.982273, 18.000000,
-1.953380, 17.500000,
-1.925516, 17.000000,
-1.898670, 16.500000,
-1.872822, 16.000000,
-1.847952, 15.750000,
-1.824033, 15.250000,
-1.801038, 14.750000,
-1.778937, 14.500000,
-1.757700, 14.000000,
-1.737295, 13.750000,
-1.717689, 13.500000,
2.995500, 13.250000,
3.016737, 13.500000,
3.038838, 13.750000,
3.061833, 14.000000,
3.085752, 14.250000,
3.110622, 14.500000,
3.136469, 15.000000]).reshape(-1, 2)

contour = np.array([
-21, -2,
-20, -2,
-19, -2,
-18, -2,
-17, -2,
-16, -2,
-15, -2,
-14, -2,
-13, -2,
-12, -2,
-11, -2,
-10, -2,
-9, -2,
-8, -2,
-7, -2,
-6, -2,
-5, -2,
-4, -2,
-3, -2,
11, -6,
11, -6,
12, -5,
12, -5,
12, -5,
13, -4,
13, -4,
13, -4,
14, -3,
14, -3,
14, -3,
14, -2,
14, -2,
15, -2,
15, -2,
15, -1,
15, -1,
16, 0,
16, 0,
16, 0,
17, 0,
17, 0,
17, 1,
17, 1,
17, 2,
17, 2,
18, 3,
18, 3,
18, 4,
18, 4,
19, 5,
19, 5,
19, 6,
19, 7,
19, 7,
19, 8,
19, 8,
20, 9,
19, 10,
20, 9,
18, 10,
19, 10,
17, 11,
18, 10,
15, 11,
16, 11,
17, 11,
14, 11,
15, 11,
13, 11,
14, 11,
12, 11,
13, 11,
11, 11,
12, 11,
10, 11,
11, 11,
9, 11,
10, 11,
8, 11,
9, 11,
8, 11,
7, 11,
8, 11,
6, 11,
7, 11,
6, 11,
5, 11,
6, 11,
5, 10,
5, 11,
4, 10,
5, 10,
4, 10,
3, 10,
4, 10,
3, 10,
2, 10,
3, 10,
8, -7,
8, -6,
7, -5,
7, -4,
7, -3,
6, -2,
6, -1,
6, 0,
5, 1,
5, 2,
4, 3,
4, 4,
4, 5,
3, 6,
3, 7,
3, 8,
2, 9,
2, 10,
8, -7,
9, -7,
9, -7,
9, -7,
9, -7,
10, -7,
10, -7,
10, -6,
10, -6,
11, -6,
-20, -2,
-19, -2,
-18, -2,
-17, -2,
-16, -2,
-15, -2,
-14, -2,
-13, -2,
-12, -2,
-11, -2,
-10, -2,
-9, -2,
-8, -2,
-7, -2,
-6, -2,
-5, -2,
-4, -2,
-3, -2]).reshape(-1, 2)

plt.scatter(contour[:, 0], contour[:, 1], c='green')
plt.quiver(
    np.zeros_like(rays[:, 0])-3, np.zeros_like(rays[:, 0])-2,
    np.cos(rays[:, 0])*rays[:, 1], np.sin(rays[:, 0])*rays[:, 1], linewidth=0.5, scale=1, units="x")
plt.show()